From 918298a93863bc5cb81d9b227d052e0ed88e9ca9 Mon Sep 17 00:00:00 2001
From: Denis Laxalde <denis.laxalde@dalibo.com>
Date: Wed, 16 Sep 2020 11:36:27 +0200
Subject: [PATCH 2/2] Move urllib3 dependencies to patroni base package

Package urllib3 is required by the patroni base package, not only for
the -etcd component:

    $ patronictl --help
    Traceback (most recent call last):
      File "/usr/bin/patronictl", line 6, in <module>
        from pkg_resources import load_entry_point
      File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3095, in <module>
        @_call_aside
      File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3079, in _call_aside
        f(*args, **kwargs)
      File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3108, in _initialize_master_working_set
        working_set = WorkingSet._build_master()
      File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 570, in _build_master
        ws.require(__requires__)
      File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 888, in require
        needed = self.resolve(parse_requirements(requirements))
      File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 774, in resolve
        raise DistributionNotFound(req, requirers)
    pkg_resources.DistributionNotFound: The 'urllib3[secure]!=1.21,>=1.19.1' distribution was not found and is required by patroni
    $ /usr/bin/python3.6 -m pydoc patroni.api
    problem in patroni.api - ModuleNotFoundError: No module named 'urllib3'

This fixes ticket #5817.
---
 rpm/redhat/master/common/patroni/master/patroni.spec | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/rpm/redhat/master/common/patroni/master/patroni.spec b/rpm/redhat/master/common/patroni/master/patroni.spec
index 7f0e8f785..6445b28f9 100644
--- a/rpm/redhat/master/common/patroni/master/patroni.spec
+++ b/rpm/redhat/master/common/patroni/master/patroni.spec
@@ -23,10 +23,12 @@ Requires:	python3-psutil >= 2.0.0 python3-psycopg2 >= 2.5.4
 Requires:	python36-click >= 4.1 python36-six >= 1.7
 Requires:	python36-dateutil python36-prettytable >= 0.7
 Requires:	python36-PyYAML
+Requires:	python36-urllib3 python36-certifi
 %else
 Requires:	python3-click >= 4.1 python3-six >= 1.7
 Requires:	python3-dateutil python3-prettytable >= 0.7
 Requires:	python3-pyyaml
+Requires:	python3-urllib3 python3-certifi
 %endif
 
 %description
@@ -54,9 +56,9 @@ Summary:	Related components to use patroni with etcd
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 Requires:	python3-etcd >= 0.4.3
 %if 0%{?rhel} == 7
-Requires:	python36-dns python36-urllib3 python36-certifi
+Requires:	python36-dns
 %else
-Requires:	python3-dns python3-urllib3 python3-certifi
+Requires:	python3-dns
 %endif
 
 %description -n  %{name}-etcd
-- 
2.20.1

